# dotfiles
This repository contains all of my configuration files for my current Arch Linux installation and an install script so I can quickly replicate my setup.

While the configurations are based on my preferences and made my dotfiles public so others can see how I solved specific problems or are looking for some inspiration.

## Installation
The installation is pretty straightforward using a couple of installation scripts.

1. Clone the repository
2. Run `./install.sh`
3. Reboot the system
4. Run `./post-install.sh`

## Contents
The list of my used arch packages are found inside the files in `packages`. The files are numbered in the order they are installed, so packages inside `packages.list` are installed first and then packages in `packages2.list` are installed.

The main content of this repository can be found in the `system` folder. It contains all configurations files, directories and script that are get symlinked by my install script.

### `config/dunst`
This folder contains my configuration for the [dunst](https://dunst-project.org) notification daemon.

- Standard dotfiles (.bashrc, .aliases, etc...)
- [i3wm](https://i3wm.org/) configuration
- [Polybar](https://polybar.github.io/) configuration
- [Termite](https://github.com/thestinger/termite) configuration
- Notifications using [dunst](https://dunst-project.org/)
- GTK configuration
- [Vim](https://www.vim.org/) configuration
- Custom scripts for different tasks
